#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xscreensaver
Version		:	6.06
Release		:	14.4.0.0%{?dist}
Summary		:	X screen saver and locker
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://www.jwz.org/xscreensaver

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	bc
Buildrequires	:	desktop-file-utils
BuildRequires	:	elogind-devel
BuildRequires	:	gdk-pixbuf-xlib-devel
BuildRequires	:	gettext
BuildRequires	:	glu-devel
BuildRequires	:	gtk3+
BuildRequires	:	libglade
BuildRequires	:	linux-headers
BuildRequires	:	make
BuildRequires	:	mesa-devel
BuildRequires	:	pam-devel
BuildRequires	:	xinput
BuildRequires	:	xorg-libXft
BuildRequires	:	xorg-libXpm
BuildRequires	:	xorg-libXt

Requires	:	appres
Requires	:	gdk-pixbuf-xlib
Requires	:	perl-libwww-perl
Requires	:	xset
Requires	:	pam
Requires	:	perl
Requires	:	perl-HTML-Parser
Requires	:	perl-JSON-PP
Requires	:	util-linux

Conflicts	:	mate-screensaver
#-----------------------------------------------------------------------------
%description
A modular screen saver and locker for the X Window System.
More than 200 display modes are included in this package.

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%doc README
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%attr (0755,root,root) %{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_prefix}/lib/X11/app-defaults/XScreenSaver
%{_libexecdir}/%{name}/*
%{_libexecdir}/%{name}-autostart
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/config/*.xml
%{_datadir}/%{name}/config/README
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/%{name}.service
%{_datadir}/fonts/%{name}/*.otf
%{_datadir}/fonts/%{name}/*.ttf
%{_mandir}/man6/*.6.gz
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

./configure						\
        --prefix=%{_prefix}				\
	--localedir=%{_datadir}/locale			\
	--with-pam=yes					\
	--with-shadow=yes				\
	--with-elogind=yes				\
	--with-systemd=no				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	install_prefix=%{buildroot}				\
	install

%{__mkdir_p}							\
	%{buildroot}%{_sysconfdir}/pam.d

%{__cp} -a							\
	%{name}-ok_addon/%{name}.pam				\
	%{buildroot}%{_sysconfdir}/pam.d/%{name}

%{__mkdir_p}							\
	%{buildroot}%{_libexecdir}
install -cpm 0755						\
	%{name}-ok_addon/%{name}-autostart			\
	%{buildroot}%{_libexecdir}

%{__mkdir_p}							\
	%{buildroot}%{_sysconfdir}/xdg/autostart/
desktop-file-install   						\
	--delete-original					\
	--vendor ""						\
	--dir %{buildroot}%{_sysconfdir}/xdg/autostart/		\
	%{name}-ok_addon/%{name}-autostart.desktop

#-----------------------------------------------------------------------------
%changelog
